//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

/// Used for displaying site-wide notifications.
///
/// See https://uxdesign.cc/ux-for-notifications-the-good-the-bad-and-the-ugly-874e07b9d927
///
/// @group components
///
/// @name .c-notify

//  container
.c-notify {
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: $z-super;
    margin: 0 $inuit-base-spacing-unit--small;

    &__message {
        position: relative;

        margin: 1.5 * $inuit-base-spacing-unit--small 0 $inuit-base-spacing-unit--small;
        padding: $inuit-base-spacing-unit--small $inuit-base-spacing-unit * .8;
        width: 30em;

        box-shadow: $dp-box-shadow-2;

        @include media-query('palm') {
            width: 100%;
        }

        &--info {
            background-color: $dp-color-message-info-bg;
            color: $dp-color-message-info-text;

            .c-notify__icon {
                color: $dp-color-message-info-fill;
            }
        }

        &--confirm {
            background-color: $dp-color-message-success-bg;
            color: $dp-color-message-success-text;

            .c-notify__icon {
                color: $dp-color-message-success-fill;
            }
        }

        &--warning {
            background-color: $dp-color-message-warning-bg;
            color: $dp-color-message-warning-text;

            .c-notify__icon {
                color: $dp-color-message-warning-fill;
            }
        }

        &--error {
            background-color: $dp-color-message-severe-bg;
            color: $dp-color-message-severe-text;

            .c-notify__icon {
                color: $dp-color-message-severe-fill;
            }
        }

        &--dev {
            background-color: $dp-color-message-debug-bg;
            color: $dp-color-message-debug-text;

            .c-notify__icon {
                color: $dp-color-message-debug-fill;
            }
        }
    }

    &__closer {
        position: absolute;
        right: .25em;
        top: .25em;
    }

    &__link {
        display: block;

        &:hover {
            text-decoration: underline;
        }

        .c-notify__message--info & {
            color: $dp-color-message-info-interactive;
        }

        .c-notify__message--confirm & {
            color: $dp-color-message-success-interactive;
        }

        .c-notify__message--warning & {
            color: $dp-color-message-warning-interactive;
        }

        .c-notify__message--error & {
            color: $dp-color-message-severe-interactive;
        }

        .c-notify__message--dev & {
            color: $dp-color-message-debug-interactive;
        }
    }
}

.transition-slide-up {
    &-enter,
    &-leave-to {
        height: 0;

        box-shadow: none;
        opacity: 0;
        transition-duration: 1s;
        transition-property: height, opacity;
    }


    &-enter-to,
    &-leave {
        height: 100%;

        transition-duration: .5s;
        transition-property: height, opacity;
    }
}
